Bug 440954 - Trouble while installing wine on x86-64
Trouble while installing wine on x86-64
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 13:28 EDT by Harshad RJ
Modified: 2008-06-17 05:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 05:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshad RJ 2008-04-04 13:28:31 EDT
Description of problem:
Trouble installing wine on x86-64. Probably wine has some broken dependencies.

Version-Release number of selected component (if applicable):
wine.i386 0:0.9.58-1.fc8

How reproducible:
"yum install wine"
  
Actual results:
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 wine                    i386       0.9.58-1.fc8     updates            20 k
Updating:
 cyrus-sasl-lib          x86_64     2.1.22-8.fc8     updates           1.1 M
 e2fsprogs-libs          x86_64     1.40.4-2.fc8     updates           137 k
 gphoto2                 x86_64     2.4.0-4.fc8      updates           1.5 M
 krb5-libs               x86_64     1.6.2-14.fc8     updates           713 k
 libexif                 x86_64     0.6.16-1.fc8     updates           238 k
 libxml2                 x86_64     2.6.31-1.fc8     updates           824 k
 openldap                x86_64     2.3.39-3.fc8     updates           302 k
 readline                x86_64     5.2-10.fc8       updates           187 k
Installing for dependencies:
 alsa-lib                i386       1.0.15-1.fc8     fedora            408 k
 audiofile               i386       1:0.2.6-7.fc8    fedora            107 k
 device-mapper-devel     x86_64     1.02.22-1.fc8    fedora            146 k
 device-mapper-libs      i386       1.02.22-1.fc8    fedora             47 k
 e2fsprogs-libs          i386       1.40.4-2.fc8     updates           138 k
 esound-libs             i386       1:0.2.38-6.fc8   fedora             73 k
 expat                   i386       2.0.1-2          fedora             78 k
 gphoto2                 i386       2.4.0-4.fc8      updates           1.5 M
 keyutils-libs           i386       1.2-2.fc6        fedora             18 k
 krb5-libs               i386       1.6.2-14.fc8     updates           703 k
 lcms                    i386       1.17-2.fc8       fedora            173 k
 libICE                  i386       1.0.4-2.fc8      fedora             53 k
 libSM                   i386       1.0.2-4.fc8      fedora             24 k
 libX11                  i386       1.1.3-4.fc8      fedora            803 k
 libXau                  i386       1.0.3-3.fc8      fedora             19 k
 libXdamage              i386       1.1.1-3.fc8      fedora             11 k
 libXdmcp                i386       1.0.2-4.fc8      fedora             21 k
 libXext                 i386       1.0.1-4.fc8      fedora             32 k
 libXfixes               i386       4.0.3-2.fc8      fedora             14 k
 libXxf86vm              i386       1.0.1-4.fc8      fedora             14 k
 libdrm                  i386       2.3.0-7.fc8      fedora             24 k
 libgcc                  i386       4.1.2-33         fedora             95 k
 libjpeg                 i386       6b-39.fc8        fedora            139 k
 libselinux              i386       2.0.43-1.fc8     updates           112 k
 libstdc++               i386       4.1.2-33         fedora            360 k
 libtiff                 i386       3.8.2-9.fc8      fedora            308 k
 libtool-ltdl            i386       1.5.24-3.fc8     fedora             39 k
 libusb                  i386       0.1.12-10.fc8    fedora             27 k
 libxcb                  i386       1.0-4.fc8        updates           117 k
 libxml2                 i386       2.6.31-1.fc8     updates           813 k
 libxslt                 i386       1.1.22-1.fc8     fedora            522 k
 mesa-libGL              i386       7.0.2-3.fc8      updates            11 M
 mesa-libGLU             i386       7.0.2-3.fc8      updates           204 k
 openldap                i386       2.3.39-3.fc8     updates           294 k
 openssl                 i386       0.9.8b-17.fc8    fedora            1.4 M
 popt                    i386       1.13-1.fc8       updates            39 k
 wine-capi               i386       0.9.58-1.fc8     updates            25 k
 wine-cms                i386       0.9.58-1.fc8     updates            40 k
 wine-core               i386       0.9.58-1.fc8     updates            10 M
 wine-esd                i386       0.9.58-1.fc8     updates            35 k
 wine-jack               i386       0.9.58-1.fc8     updates            37 k
 wine-ldap               i386       0.9.58-1.fc8     updates            87 k
 wine-nas                i386       0.9.58-1.fc8     updates            23 k
 wine-tools              i386       0.9.58-1.fc8     updates           628 k
 wine-twain              i386       0.9.58-1.fc8     updates            46 k
 xorg-x11-apps           x86_64     7.3-1.fc8        fedora            266 k
 zlib                    i386       1.2.3-14.fc8     fedora             72 k
Updating for dependencies:
 cyrus-sasl              x86_64     2.1.22-8.fc8     updates            79 k
 cyrus-sasl-devel        x86_64     2.1.22-8.fc8     updates           351 k
 cyrus-sasl-plain        x86_64     2.1.22-8.fc8     updates            28 k
 e2fsprogs               x86_64     1.40.4-2.fc8     updates           614 k
 e2fsprogs-devel         x86_64     1.40.4-2.fc8     updates           712 k
 krb5-devel              x86_64     1.6.2-14.fc8     updates           1.1 M
 krb5-workstation        x86_64     1.6.2-14.fc8     updates           458 k
 libxml2-devel           x86_64     2.6.31-1.fc8     updates           2.2 M
 libxml2-python          x86_64     2.6.31-1.fc8     updates           632 k

Transaction Summary
=============================================================================
Install     48 Package(s)
Update      17 Package(s)
Remove       0 Package(s)

Total download size: 42 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package openldap needs libsasl2.so.2, this is not available.
Package gphoto2 needs libexif.so.12, this is not available.
Package gphoto2 needs libreadline.so.5, this is not available.
Complete!
Comment 1 Rex Dieter 2008-04-04 14:59:27 EDT
try
yum update yum
first, and try again to see if that helps.
Comment 2 Harshad RJ 2008-04-04 15:08:31 EDT
I did a yum clean all
and a yum update yum
after reading comment #1

Says "Could not find update match for yum"
Comment 3 Harshad RJ 2008-04-04 15:09:17 EDT
btw, my yum --version is "3.2.8"
Comment 4 Harshad RJ 2008-04-05 16:32:08 EDT
I played around some more.

I did a "yum provides" for libsasl2.so, libexif.so.12, and libreadline.so.5
and then "yum install" for cyrus-sasl, readline,libexif

I then did a yum install wine and it went past the rpm checker (but failed
elsewhere, see below).

So, I am guessing that this a problem either with yum or these packages:
cyrus-sasl, readline, libexif 


Anyway, yum install wine failed with :

Transaction Check Error:
  package libxcb-1.1-1.fc9 (which is newer than libxcb-1.0-4.fc8) is already
installed


So, I downgraded libxcb to 1.0-4.fc8, and then wine installed fine.

Am lowering the priority of this. Somebody more knowledgeable can change the
component too.

Comment 5 Andreas Bierfert 2008-06-17 05:40:20 EDT
Seems to me like a inconsistent mirror. If you encounter such a problem again
feel free to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.